// src/access.ts

const routers = {
  welcome: false,
  billing: false,
  jurisdiction: false,
  administrators: false,
  mechanism: false,
  category: false,
  project: false,
}

export default function access(initialState: { currentUser?: API.CurrentUser | undefined }) {
  const { currentUser } = initialState || {};
  // TODO 目前只能把routes.ts里面的每个页面都定义上不同的权限名,然后在此处根据不同角色返回所有页面的权限
  if(!currentUser){
    // 退出登陆或者无当前用户信息时，所有页面都无权访问
    return routers;
  }
  if(currentUser.mobile === 'admin'){
    return {}
  }else if(currentUser.mobile === 'zxs'){
    // 从后端获取的权限（只能查看欢迎页）
    let mobilelv = {welcome:true}
    return {
      ...routers,
      ...mobilelv,
    }
  }
}
