/*
    订单管理->我的订单->开单与签单 最新订单弹出层
*/
import React,{Component} from 'react';
import { Descriptions, message, Button, Form } from 'antd';
import ImgOperation from '@/components/common/ImgOperation';
import './index.less';

import Field from '@ant-design/pro-field';
import ProForm, { ProFormText, ProFormDateRangePicker, ProFormSelect } from '@ant-design/pro-form';

class NewOrder extends Component{
  constructor(props) {
    super(props);
    this.state={
      stateType: 'edit',    // 是否只读   read: 只读  edit: 编辑
      plain: false,         // 是否简约
      fileList: [],
    };
  }

  render() {
    const { stateType, plain, fileList } = this.state;
    return (
      <>
        <Form
          onFinish={async (values) => {
            console.log(values);
            message.success('提交成功！');
          }}
          initialValues={{
            name: '蚂蚁设计有限公司',
            useMode: 20,
          }}
        >
          <Descriptions
            column={2}
            className='newOrderDescriptions'
            onFinish={async (values) => {
              console.log(values);
              message.success('提交成功！');
            }}
          >
            <Descriptions.Item label="文本">
              <Form.Item  name="name">
                <Field valueType="text" mode={stateType} plain={plain} />
              </Form.Item>
            </Descriptions.Item>

            <Descriptions.Item label="金额">
              <Form.Item  name="useMode">
                <Field valueType="money" mode={stateType} plain={plain} />
              </Form.Item>
            </Descriptions.Item>
            <Descriptions.Item label="图片">
              <Form.Item  name="image">
                <ImgOperation
                  domId='newOrder'
                  uploadConfig={stateType === 'read'? {} :{
                    action:'/api/admin/outsourceOrg/uploadOutsourceFile',
                    multiple:true,
                    data:{ sign: 'order_outsource' },
                    listType:"picture-card",
                  }}
                  onChange={(infor)=>{
                    this.setState({
                      fileList: infor.fileList,
                    });
                  }}
                  fileList={fileList}
                  onUploadState={(v)=>{
                    // this.setState({
                    //   loading: v.state === 'uploading'
                    // })
                  }}
                />
              </Form.Item>
            </Descriptions.Item>
          </Descriptions>
          {stateType === 'edit' &&
            <div>
              <Form.Item wrapperCol={{ span: 5, offset: 9 }}>
                <Button block type="primary" size='large' htmlType="submit">
                  提交
                </Button>
              </Form.Item>
            </div>
          }
        </Form>
      </>
    )
  }
}

export default NewOrder;
