import React,{ Component } from 'react';
import Modal from "@/components/common/Modal";
import {
  Button
} from 'antd';
import DataTable from "@/components/common/DataTable";

import {
  getInvoiceStatus
} from '@/utils/tools';

class BillingHistory extends Component{
  constructor(props) {
    super(props);
    this.state={
      columns: [
        {
          title: "编号",
          dataIndex: "id",
          key: "id"
        },
        {
          title: "订单编号",
          dataIndex: "orderno",
          key: "orderno"
        },
        {
          title: "开票金额(万元)",
          dataIndex: "amount",
          key: "amount"
        },
        {
          title: "申请时间",
          dataIndex: "createTime",
          key: "createTime"
        },
        {
          title: "开票状态",
          dataIndex: "status",
          key: "status",
          align: 'center',
          fixed: 'right',
          width: 120,
          render: (text, record) => {
            return (
              <div>
                {record.status === 3 ? (
                  <Button
                    type="danger"
                    onClick={e => {
                      e.stopPropagation();
                      // this.reject(record);
                    }}
                  >
                    被拒,查看原因
                  </Button>
                ) : (
                  getInvoiceStatus(text, record)
                )}
                {record.status === 3 ? (
                  <Button
                    type="primary"
                    onClick={e => {
                      e.stopPropagation();
                      // this.recompose(record);
                    }}
                    style={{ marginLeft: "10px" }}
                  >
                    修改开票
                  </Button>
                ) : (
                  ""
                )}
              </div>
            );
          }
        }
      ]
    }
  }

  componentDidMount() {

  }

  render() {
    return(
      <Modal
        {...this.props}
        width={1200}
        footer={null}
        title='开票历史记录'
      >
        <DataTable
          url='/api/admin/orderInvoice/salesmanOrderInvoiceList'
          scroll={{ x: 1000 }}
          params={{
            orderNo: this.props.orderNo
          }}
          columns={this.state.columns}
          search={false}
        />
      </Modal>
    )
  }
}

export default BillingHistory;
