import React,{Component} from 'react';
import {Button, message} from 'antd';
import ProForm, {ModalForm, ProFormSelect, ProFormText} from "@ant-design/pro-form";
import { PlusOutlined } from '@ant-design/icons';
import {getAllCname} from '../services/API';

class AddProject extends Component{
  constructor(props) {
    super(props);
  }

  formRef = React.createRef();

  getAllCname=async (value)=>{
    const msg = await getAllCname(value);
    let theArr = [];
    if(msg.error.length === 0){
      msg.data.forEach((item,key) => {
        theArr.push({
          label: item.cname,
          value: key,
        });
      });
    }else{
      message.error(msg.error[0].message)
    }
    return theArr;
  }

  render() {
    return (
      <ModalForm
        formRef={this.formRef}
        preserve={false}
        title='新增业务项目'
        trigger={
          <Button type="primary">
            <PlusOutlined />
            新建表单
          </Button>
        }
        modalProps={{
          width: 380
        }}
        onFinish={this.addUser}
      >
        <ProForm.Group>
          <ProFormText
            width="m"
            rules={[
              {
                required:true,
                message:'请输入业务项目名称'
              }
            ]}
            placeholder="请输入业务项目名称"
            name="mobile"
            label="业务项目名称"
          />
        </ProForm.Group>
        <ProForm.Group>
          <ProFormSelect
            mode="multiple"
            allowClear
            width="m"
            rules={[
              {
                required:true,
                message:'请选择业务品类'
              }
            ]}
            placeholder="请选择业务品类"
            label='业务品类'
            name="roles"
            request={this.getAllCname}/>
        </ProForm.Group>
      </ModalForm>
    )
  }
}

export default AddProject;
