import React,{Component} from 'react';
import {Button} from "antd";
import DataTable from "@/components/common/DataTable";
import {getCategoryState,getGameState,splitUrl,getprovince} from '@/utils/tools';
import AddProject from './components/addProject';

class Project extends Component{
  constructor(props) {
    super(props);
    this.state={
      columns: [
        {
          title: "项目名称",
          dataIndex: "bname",
          key: "bname",
        },
        {
          title: "业务品类",
          dataIndex: "cname",
          key: "cname",
        },
        {
          title: "业务地区",
          dataIndex: "country",
          key: "country",
          render: (text,record) => {
            let isCountry = "";
            if (text === '1') {
              isCountry = "全国";
            } else {
              if (record.city == null || !record.city) {
                isCountry += getprovince(parseInt(record.province));
              } else if (
                record.district == null ||
                !record.district
              ) {
                isCountry += getprovince(parseInt(record.province)) + "-";
                isCountry += getprovince(parseInt(record.city));
              } else {
                isCountry += getprovince(parseInt(record.province)) + "-";
                isCountry += getprovince(parseInt(record.city)) + "-";
                isCountry += getprovince(parseInt(record.district));
              }
            }
            return (
              isCountry
            );
          }
        },
        {
          title: "市场价",
          dataIndex: "price",
          key: "price",
        },
        {
          title: "最低折扣",
          dataIndex: "offset",
          key: "offset",
        },
        {
          title: "会员价",
          dataIndex: "memberPrice",
          key: "memberPrice",
        },
        {
          title: "活动价",
          dataIndex: "activityPrice",
          key: "activityPrice",
        },
        {
          title: "活动生效标识",
          dataIndex: "activityFlag",
          key: "activityFlag",
          render: (text) => {
            return getGameState(text);
          },
        },
        {
          title: "业务状态",
          dataIndex: "status",
          key: "status",
          render: (text) => {
            return getCategoryState(text);
          },
        },
        {
          title: "项目分类",
          dataIndex: "type",
          key: "type",
          render: (text, record) => {
            if (record.type === 0) {
              return "通用";
            } else if (record.type === 1) {
              return "专利";
            } else if (record.type === 2) {
              return "软著";
            } else if (record.type === 3) {
              return "审计";
            }else if(record.type === 4) {
              return "双软"
            }else if(record.type === 5) {
              return "高新"
            }else if(record.type === 6) {
              return "商标"
            }
          },
        },
      ]
    }
  }

  render() {
    const ref = React.createRef();
    return (
      <>
        <DataTable
          ref={ref}
          headerTitle='业务项目管理'
          url='/api/admin/ProjectSize/listProject'
          method='post'
          rowKey='id'
          scroll={{x:1100}}
          columns={this.state.columns}
          search={{
            filterType: 'query',
            labelWidth: 'auto',
            defaultCollapsed: false,
          }}
          onRow={(record) => ({
            onClick: (e) => {
              e.stopPropagation();
              this.setState({
                typeVisible: true,
                typeInfor: record
              })
            }
          })}
          toolBarRender={[
            <AddProject  key='addProject'/>
          ]}
        />
      </>
    )
  }
}

export default Project;
