import React,{Component} from 'react';
import {Button, message, Modal, Popconfirm} from "antd";
import {dimission} from '../services/API';
import DataTable from "@/components/common/DataTable";

class UnifiedTransfer extends Component{
  constructor(props) {
    super(props);
    this.state={
      columns:[{
        title: '用户编号',
        dataIndex: 'userNo',
        key: 'userNo',
      }, {
        title: '登录用户名',
        dataIndex: 'mobile',
        key: 'mobile',
      }, {
        title: '角色',
        dataIndex: 'roles',
        key: 'roles',
      }, {
        title: '用户姓名',
        dataIndex: 'name',
        key: 'name',
        searchBool: true,
      }, {
        title: '转交',
        dataIndex: 'id',
        key: 'id',
        render: (text, record) => {
          return <Popconfirm
            title={'请确认转交【'+record.name+'】'}
            onConfirm={(e)=>{e.stopPropagation();this.dimission(text)}}
            okText="确认"
            cancelText="取消"
            placement="topLeft">
            <Button type="primary" danger onClick={(e)=>e.stopPropagation()}>
              转交
            </Button>
          </Popconfirm>
        }
      },
      ]
    }
  }

  dimission= async (transferId)=>{
    message.loading({content:'转交中...',key:'dimission'})
    const msg = await dimission({
      aid:this.props.userId,
      transferId
    });
    if(msg.error.length === 0){
      message.success({content:'转交成功',key:'dimission',duration:2.5});
    }else{
      message.error({content:msg.error[0].message,key:'dimission',duration:2.5});
    }
  }

  render() {
    return (
      <Modal
        title="离职一键转交"
        visible={this.props.visible}
        destroyOnClose
        footer={null}
        width={800}
        onCancel={this.props.onCancel}
      >
        <DataTable
          headerTitle=''
          url='/api/admin/superviser/adminList'
          rowKey='id'
          columns={this.state.columns}
          params={{
            status: '正常'
          }}
          search={{
            filterType: 'query',
            labelWidth: 'auto',
            defaultCollapsed: false,
          }}
        />
      </Modal>
    )
  }
}

export default UnifiedTransfer;
