import { request } from 'umi';

export async function query() {
  return request<API.CurrentUser[]>('/api/users');
}

export async function queryCurrent() {
  return request<API.CurrentUser>('/api/admin/adminInfo',{
    method: 'get',
  });
}

// 获得当前用户能看到的页面
export async function selectNavList() {
  return request<API.CurrentUser>('/api/admin/selectMenuList',{
    method: 'get',
    params:{
      navId: '17066bfb-e2d7-443d-97e1-f71f1f84c6f0',
    }
  });
}

export async function queryNotices(): Promise<any> {
  return request<{ data: API.NoticeIconData[] }>('/api/notices');
}

// 获取角色列表
export async function getRolesList(){
  return request('/api/roles');
}

// 部门
export async function getSelectSuperId() {
  return request('/api/admin/organization/selectSuperId');
}



